Bug 336115 - Color-picker report wrong alpha value
Summary: Color-picker report wrong alpha value
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 10:07 UTC by animtim
Modified: 2014-06-19 15:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description animtim 2014-06-12 10:07:03 UTC
When using the color picker on a transparent area (using current layer mode, or in normal mode but with transparent background..), it doesn't pick alpha value anymore in the selected color as it did before, which could be convenient in some cases as it's the only direct way one have to know the alpha value of an area.

More, if you look at the Tool-options docker , you can see it always show alpha 255, making this line useless.

So please at least make the tool docker report the correct alpha value, and possibly make an option for the color picker to select alpha value as it did before. 

Reproducible: Always
Comment 1 Halla Rempt 2014-06-17 20:27:12 UTC
Actually, I had a patch that gave both options, and lost that :-(. It's definitely something to restore.
Comment 2 Dmitry Kazakov 2014-06-19 15:02:00 UTC
Git commit d6554e82ff3534f5986c5785edcb5663731ad2cb by Dmitry Kazakov.
Committed on 19/06/2014 at 14:46.
Pushed by dkazakov into branch 'master'.

[FEATURE] Fixed painting and color picking on global selections

This patch fixes three problems:

1) Painting on a global selection now is not recursively limited to
   the selected area of the selection itself. If current node and active
   selection mask are the same entity, KisResourcesSnapshot will report
   no selection active.

2) Color Picker can now pick from selection masks. Yes, it converts the
   color into compositionSourceColorSpace() to make it paintable.

3) The Color Picker's option widget now shows alpha value correctly,
   although the resource server gets opaque color.

CCMAIL:kimageshop@kde.org

M  +9    -5    krita/plugins/tools/defaulttools/kis_tool_colorpicker.cc
M  +1    -1    krita/plugins/tools/defaulttools/kis_tool_fill.cc
M  +9    -9    krita/plugins/tools/defaulttools/kis_tool_gradient.cc
M  +6    -2    krita/plugins/tools/defaulttools/kis_tool_move.cc
M  +7    -2    krita/plugins/tools/tool_crop/kis_tool_crop.cc
M  +11   -4    krita/plugins/tools/tool_transform2/kis_tool_transform.cc
M  +20   -0    krita/ui/tool/kis_resources_snapshot.cpp
M  +8    -0    krita/ui/tool/kis_resources_snapshot.h
M  +7    -14   krita/ui/tool/kis_tool.cc
M  +0    -3    krita/ui/tool/kis_tool.h
M  +1    -1    krita/ui/tool/kis_tool_paint.cc
M  +1    -0    krita/ui/tool/kis_tool_utils.cpp
M  +1    -7    krita/ui/tool/strokes/kis_painter_based_stroke_strategy.cpp

http://commits.kde.org/calligra/d6554e82ff3534f5986c5785edcb5663731ad2cb